curl --request GET \
--url https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/filesimport requests
url = "https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/files"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": "<string>",
"data": [
{
"id": 123,
"name": "<string>",
"folderType": "internalFiles",
"properties": [
"<string>"
],
"files": [
{
"id": 123,
"name": "<string>",
"note": "<string>",
"state": "active",
"properties": [
"<string>"
],
"url": "<string>",
"position": 123,
"thumbnails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"width": 123,
"height": 123
}
],
"folderId": 123,
"folderType": "internalFiles",
"colorwayId": 123,
"colorwayName": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
]
}
]
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}Get all file folders for a style
Returns all file folders for the given style, each with their files embedded. By default excludes Communication, Measurement, and Artwork folder types. Use folder-type to filter to specific types. Use include-internal=true to include internal folders.
Headers
Path Parameters
Unique identifier of the style whose file folders to return. Returns 404 when the style does not exist and 403 when it belongs to another organization.
Query Parameters
When true, internal folders are included in the results. Defaults to false.
Restricts results to folders of the given types. When omitted, communication, measurement, and artwork folders are excluded. Repeat the parameter to request several types.
internalFiles, communicationFiles, userDefinedFiles, artworkFiles, measurementFiles Response
OK
The coarse outcome of the request, indicating whether it succeeded or failed.
success, error The specific machine-readable outcome code, such as ok on success or the most specific error code on failure. Always lowercase on the wire.
The response payload, either a single object for a by-id read or an array for a bulk operation. Omitted from the body when there is no value.
Show child attributes
Show child attributes